20170816_153149.jpg=Marc's Ham shack lightening arrestors.
20170823_121045.jpg=Marc's Ham Shack (garage) with antennas.
20170816_153032.jpg=Marc's Ham shack lightening arrestors.
20170823_121229.jpg=Marc's Ham Shack (garage) with antennas.
20170823_121244.jpg=Marc's Ham Shack (garage) with antennas.
20170816_153053.jpg=Marc's Ham shack lightening arrestors.
20170724_092430.jpg=Marc's Ham radio antennas.
20170606_111550.jpg=Marc's Ham Shack radios  (Version 1)\

20170724_092412.jpg=Marc's Ham radio antennas.
20170823_121213.jpg=Marc's Ham Shack (garage) with antennas.
20170816_153116.jpg=Marc's Ham shack lightening arrestors.
20170606_111718.jpg=Marc's Ham Shack computer and media table.
20170606_111656.jpg=Marc's Ham Shack electronics work table.
20170724_092449.jpg=Marc's Ham radio antennas.
20170606_111635.jpg=Marc's Ham Shack radios  (Version 1)
20170823_121045b.jpg=Marc's Ham Shack (garage) with antennas.
